<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides User Email View functions
 *
 * @package    OSB
 * @subpackage Email
 * @category   Controllers/User
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class Controller_User_Email extends Controller_TemplateDefault_User {
	protected $secure_actions = array(
		'list'=>TRUE,
		'view'=>TRUE,
	);

	/**
	 * Show a list of emails
	 */
	public function action_list() {
		Block::add(array(
			'title'=>sprintf('%s: %s - %s',_('Email For'),$this->ao->accnum(),$this->ao->name(TRUE)),
			'body'=>Table::display(
				$this->ao->email_log->find_all(),
				25,
				array(
					'id'=>array('label'=>'ID','url'=>'user/email/view/'),
					'date_orig'=>array('label'=>'Date'),
					'translate_resolve("subject")'=>array('label'=>'Subject'),
				),
				array(
					'page'=>TRUE,
					'type'=>'select',
					'form'=>'user/email/view',
				)),
			));
	}

	public function action_view() {
		list($id,$output) = Table::page(__METHOD__);

		$elo = ORM::factory('email_log',$id);

		if (! $elo->loaded() OR ! Auth::instance()->authorised($elo->account_id)) {
			$this->template->content = 'Unauthorised or doesnt exist?';
			return FALSE;
		}

		$output .= View::factory($this->viewpath())
			->set('elo',$elo);

		Block::add(array(
			'title'=>sprintf('%s: %s',_('Email'),$elo->translate_resolve('subject')),
			'body'=>$output,
			));
	}
}
?>
